Bug 80489 - error C4335: Mac file format detected: please convert the source file to either DOS or UNIX format
Summary: error C4335: Mac file format detected: please convert the source file to eith...
Status: RESOLVED FIXED
Alias: None
Product: piglit
Classification: Unclassified
Component: infrastructure (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Windows (All)
: medium blocker
Assignee: Jose Fonseca
QA Contact: Eric Anholt
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-06-24 18:34 UTC by Vinson Lee
Modified: 2014-10-27 18:46 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
piglit-dispatch-gen.h (1.04 MB, text/plain)
2014-10-25 18:52 UTC, Vinson Lee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-06-24 18:34:37 UTC
piglit: 7d6906f4dcceb327e889ef8185e1ac353ff39f43 (master)

[  0%] Building C object target_api/gl/tests/util/CMakeFiles/piglitutil_gl.dir/piglit-dispatch.c.obj
piglit-dispatch.c
tests\util\piglit-dispatch-gen.h : error C4335: Mac file format detected: please convert the source file to either DOS or UNIX format
Comment 1 Vinson Lee 2014-07-24 19:26:47 UTC
piglit: 4e99f93b149f6f4f5c3e0324f6660a741422463a (master)

The build is still broken for me.
Comment 2 Vinson Lee 2014-08-12 22:24:34 UTC
piglit: 3cc5e8d0e8623d753df467eb980f5936a66fad37 (master)

Build is still broken.
Comment 3 Emil Velikov 2014-08-13 01:06:59 UTC
What have I done to deserve this honour ? Don't think I've ever touched any of these files, or anything related with them :)

(barring the patches that I've sent to the ML earlier :)
Comment 4 Chad Versace 2014-08-20 20:51:51 UTC
Vinson, does this bug still affect you?
Comment 5 Vinson Lee 2014-08-21 00:20:22 UTC
piglit: 8d6c23cc85c094dd838e0861d8a61e5013574c3f (master)

The build is still broken for me.
Comment 6 Jose Fonseca 2014-10-24 18:28:46 UTC
Hi Vinson,

I've been building piglit on MSVC 2013 daily and never seen this problem.

tests\util\piglit-dispatch-gen.h is dynamically generated in runtime by some python scripts that use Mako templates.

So please try:
- wiping the build directory
- reinstall python mako package

If this still fails, please attach the generated tests\util\piglit-dispatch-gen.h
Comment 7 Vinson Lee 2014-10-25 18:52:09 UTC
Created attachment 108413 [details]
piglit-dispatch-gen.h
Comment 8 Vinson Lee 2014-10-25 18:54:45 UTC
I am still getting a piglit build failure with MSVC with a clean workspace.

This is my configuration.
- Windows 7
- MSVC 2012 (11.0)
- Python 2.7.8
- Mako 1.0.0

I last successfully built with commit 5fe479bf8ac7fe997b5911bd175c531f49110dfd "Add a test to reject semicolons after #extension.". The build failure I'm seeing starting happening with one of Chad Versace's dispatch commits shortly afterwards.
Comment 9 Jose Fonseca 2014-10-27 15:14:14 UTC
I managed to repro this here.  I though I was building piglit nightly, but in fact the build daemon failed to pick up a new change since June due a mistake of mine configuring it.

I'll look into it.
Comment 10 Jose Fonseca 2014-10-27 16:32:10 UTC
I just posted a review request to piglit that fixes this.
Comment 11 Jose Fonseca 2014-10-27 18:46:13 UTC
Fixed with 

commit 84696872b45037de88e2008f169ba1baa0508e76
Author: José Fonseca <jfonseca@vmware.com>
Date:   Mon Oct 27 16:15:08 2014 +0000

    git: Prevent automatic CRLF conversion for Mako templates.
    
    It seems that Mako templates don't handle CRLF properly, so force them
    to retain Unix line endings on Windows.
    
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=80489
    
    Reviewed-by: Brian Paul <brianp@vmware.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.